7

First of all, it's the first time I setup RHEL machines, I’m more used to Debian.

We're installing many machine at the same time. We've upgraded from RHEL 6.3 to RHEL 6.6 and we're now trying to install openmotif22 (required for an IBM installer that will come in a few days).

On the first machine, everything worked, we had no problem, but on the second one, we got this error for those 2 packages, and I have no idea were it comes from.

root@mymachine:~# yum install -y openmotif22.i686 openmotif22.x86_64 --verbose
Loading "rhnplugin" plugin
Loading "product-id" plugin
Loading "security" plugin
Loading "subscription-manager" plugin
Updating Subscription Management repositories.
Unable to read consumer identity
Config time: 0.260
This system is receiving updates from RHN Classic or RHN Satellite.
Looking for repo options for [main]
Looking for repo options for [rhel-x86_64-server-6]
Repo 'rhel-x86_64-server-6' setting option 'enabled' = '1'
Repo 'rhel-x86_64-server-6' setting option 'gpgcheck' = '1'
Yum Version: 3.2.29
rpmdb time: 0.000
Setting up Install Process
Setting up Package Sacks
pkgsack time: 0.306
Obs Init time: 0.288
Resolving Dependencies
--> Running transaction check
---> Package openmotif22.i686 0:2.2.3-19.el6 will be installed
Checking deps for openmotif22.i686 0:2.2.3-19.el6 - u
looking for ('rtld(GNU_HASH)', None, (None, None, None)) as a requirement of openmotif22.i686 0:2.2.3-19.el6 - u
looking for ('libc.so.6(GLIBC_2.7)', None, (None, None, None)) as a requirement of openmotif22.i686 0:2.2.3-19.el6 - u
looking for ('libc.so.6(GLIBC_2.4)', None, (None, None, None)) as a requirement of openmotif22.i686 0:2.2.3-19.el6 - u
looking for ('libc.so.6(GLIBC_2.3.4)', None, (None, None, None)) as a requirement of openmotif22.i686 0:2.2.3-19.el6 - u
looking for ('libc.so.6(GLIBC_2.3)', None, (None, None, None)) as a requirement of openmotif22.i686 0:2.2.3-19.el6 - u
looking for ('libc.so.6(GLIBC_2.2)', None, (None, None, None)) as a requirement of openmotif22.i686 0:2.2.3-19.el6 - u
looking for ('libc.so.6(GLIBC_2.11)', None, (None, None, None)) as a requirement of openmotif22.i686 0:2.2.3-19.el6 - u
looking for ('libc.so.6(GLIBC_2.1.3)', None, (None, None, None)) as a requirement of openmotif22.i686 0:2.2.3-19.el6 - u
looking for ('libc.so.6(GLIBC_2.1.2)', None, (None, None, None)) as a requirement of openmotif22.i686 0:2.2.3-19.el6 - u
looking for ('libc.so.6(GLIBC_2.1)', None, (None, None, None)) as a requirement of openmotif22.i686 0:2.2.3-19.el6 - u
looking for ('libc.so.6(GLIBC_2.0)', None, (None, None, None)) as a requirement of openmotif22.i686 0:2.2.3-19.el6 - u
looking for ('libc.so.6', None, (None, None, None)) as a requirement of openmotif22.i686 0:2.2.3-19.el6 - u
looking for ('libXt.so.6', None, (None, None, None)) as a requirement of openmotif22.i686 0:2.2.3-19.el6 - u
looking for ('libXp.so.6', None, (None, None, None)) as a requirement of openmotif22.i686 0:2.2.3-19.el6 - u
looking for ('libXmu.so.6', None, (None, None, None)) as a requirement of openmotif22.i686 0:2.2.3-19.el6 - u
looking for ('libXm.so.3', None, (None, None, None)) as a requirement of openmotif22.i686 0:2.2.3-19.el6 - u
looking for ('libXext.so.6', None, (None, None, None)) as a requirement of openmotif22.i686 0:2.2.3-19.el6 - u
looking for ('libX11.so.6', None, (None, None, None)) as a requirement of openmotif22.i686 0:2.2.3-19.el6 - u
looking for ('libUil.so.3', None, (None, None, None)) as a requirement of openmotif22.i686 0:2.2.3-19.el6 - u
looking for ('libSM.so.6', None, (None, None, None)) as a requirement of openmotif22.i686 0:2.2.3-19.el6 - u
looking for ('libMrm.so.3', None, (None, None, None)) as a requirement of openmotif22.i686 0:2.2.3-19.el6 - u
looking for ('libICE.so.6', None, (None, None, None)) as a requirement of openmotif22.i686 0:2.2.3-19.el6 - u
looking for ('/usr/share/X11/XKeysymDB', None, (None, None, None)) as a requirement of openmotif22.i686 0:2.2.3-19.el6 - u
Error: failed to retrieve repodata/9681fa082b2fd9fdd65a0548409bd4c16be74e217e46d11c1fff3470300e4df0-filelists.xml.gz from rhel-x86_64-server-6
       error was [Errno 14] PYCURL ERROR 22 - "The requested URL returned error: 403 Forbidden

Probably from a configuration file, but, we've filled the

/etc/sysconfig/rhn/up2date

with our proxy settings.

Our 'http_proxy' variable is empty, on both machines, and our yum.conf have no proxy information at all, on both machine too. Both machines are registered with rhn_register.

I am running out of configuration files to check.

2

Fixed it.

What i did:

  1. Fill up the rhsm.conf file with proxy settings ( /etc/rhsm/rhsm.conf )
  2. reboot the machine
  3. try to install: root@mymachine:~# yum install -y openmotif22.i686 openmotif22.x86_64 -> fail, same error
  4. yum clean all -v
  5. yum repolist -v
  6. root@mymachine:~# yum install -y openmotif22.i686 openmotif22.x86_64 -> it worked... No idea why, but the reboot is the key.

I already had done those steps without the reboot, it didn't work.

1

This is what fixed it for me:

yum clean all
rm -rf /var/cache/yum
1

On the web server that serves the rpms (yum server) run:

setenforce 0

This will disable SELinux and allow the web server to serve the RPMs. The problem of serving RPMs triggers the SELinux only when the web server tries to serve RPM created by external sources. The Redhat/Centos OS RPMs don't trigger the SELinux system and are not blocked even when SELinux system is active.

0

Try this:

$> cd /etc/yum.repos.d
$> rm sandbox.repo

Go back and retry the install:

$> yum install python-pip

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.